package com.bwie.auth.feign;

import com.bwie.auth.feign.factory.UserFeignFactory;
import com.bwie.common.constants.Constants;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @Author：张腾
 * @Package：com.bwie.auth.feign
 * @Project：Zg6_week02
 * @name：UserFeignService
 * @Date：2024/7/30 9:43
 */
@FeignClient(name = Constants.BWIE_USER,
        path = Constants.PATH_NAME_USER,
        fallbackFactory = UserFeignFactory.class)
public interface UserFeignService {

    @PostMapping("/selectByName/{userName}")
    public Result<User> selectByName(@PathVariable String userName);
}
