package com.bwie.auth.feign.factory;

import com.bwie.auth.feign.UserFeignService;
import com.bwie.common.domain.User;
import com.bwie.common.exception.OverallException;
import com.bwie.common.handler.OverallExceptionHandler;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.security.AllPermission;

/**
 * @Author：张腾
 * @Package：com.bwie.auth.feign.factory
 * @Project：Zg6_week02
 * @name：UserFeignFactory
 * @Date：2024/7/30 9:45
 */
@Component
public class UserFeignFactory implements FallbackFactory<UserFeignService> {
    @Override
    public UserFeignService create(Throwable cause) {
        return new UserFeignService() {
            @Override
            public Result<User> selectByName(String userName) {
                throw new OverallException("网络似乎有问题,请重试");
            }
        };
    }
}
