package com.bwie.common.handler;

import com.bwie.common.exception.OverallException;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @Author：张腾
 * @Package：com.bwie.common.handler
 * @Project：Zg6_week02
 * @name：OverallExceptionHandler
 * @Date：2024/7/30 9:32
 */
@RestControllerAdvice
@Log4j2
public class OverallExceptionHandler {

    @ExceptionHandler(OverallException.class)
    public Result handler(Throwable throwable){
        StackTraceElement stackTraceElement = throwable.getStackTrace()[0];
        String className = stackTraceElement.getClassName();
        String fileName = stackTraceElement.getFileName();
        int lineNumber = stackTraceElement.getLineNumber();
        String methodName = stackTraceElement.getMethodName();
        return Result.error("异常信息:"+throwable.getMessage()+",报错类:"+className+",文件名称:"+fileName
        +"报错行:"+lineNumber+",报错方法:"+methodName);
    }
}
