package com.bwie.house.controller;

import com.bwie.common.domain.Cycle;
import com.bwie.common.domain.House;
import com.bwie.common.domain.Record;
import com.bwie.common.domain.request.HouseReq;
import com.bwie.common.result.Result;
import com.bwie.house.service.CycleService;
import com.bwie.house.service.HouseService;
import com.bwie.house.service.RecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.bwie.house.controller
 * @Project：Zg6_week02
 * @name：HouseController
 * @Date：2024/7/30 10:28
 */
@RestController
@RequestMapping("/house")
public class HouseController {

    @Autowired
    private HouseService houseService;

    @Autowired
    private CycleService cycleService;

    @Autowired
    private RecordService recordService;

    @PostMapping("/selectList")
    public Result selectList(HouseReq houseReq){

        return houseService.selectList(houseReq);
    }

    @PostMapping("/findById")
    public Result findById(Integer houseId){

        return houseService.findById(houseId);
    }

    @GetMapping("/findCycle")
    public Result<List<Cycle>> findCycle(){
        return cycleService.findCycle();
    }

    @PostMapping("/addRecord")
    public Result addRecord(@RequestBody Record record){
        recordService.addRecord(record);
        return Result.success();
    }

    @GetMapping("/recordList")
    public Result<List<Record>> recordList(){
        List<Record> records = recordService.recordList();
        return Result.success(records);
    }

}
