package com.bwie.house.feign;

import com.bwie.common.constants.Constants;
import com.bwie.common.domain.User;
import com.bwie.house.feign.factory.UserFeignFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * @Author：张腾
 * @Package：com.bwie.house.feign
 * @Project：Zg6_week02
 * @name：UserFeignService
 * @Date：2024/7/30 14:32
 */
@FeignClient(name = Constants.BWIE_USER,
        path = Constants.PATH_NAME_USER,
        fallbackFactory = UserFeignFactory.class)
public interface UserFeignService {
    @PostMapping("/findById/{userId}")
    public User findById(@PathVariable Integer userId);
}
