package com.bwie.house.feign.factory;

import com.bwie.common.domain.User;
import com.bwie.common.exception.OverallException;
import com.bwie.house.feign.UserFeignService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @Author：张腾
 * @Package：com.bwie.house.feign.factory
 * @Project：Zg6_week02
 * @name：UserFeignFactory
 * @Date：2024/7/30 14:33
 */
@Component
public class UserFeignFactory implements FallbackFactory<UserFeignService> {
    @Override
    public UserFeignService create(Throwable cause) {
        return new UserFeignService() {
            @Override
            public User findById(Integer userId) {
                throw new OverallException("网络异常");
            }
        };
    }
}
