package com.bwie.house.service.impl;

import com.alibaba.fastjson.JSON;
import com.bwie.common.domain.Cycle;
import com.bwie.common.result.Result;
import com.bwie.house.mapper.CycleMapper;
import com.bwie.house.service.CycleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.bwie.house.service.impl
 * @Project：Zg6_week02
 * @name：CycleServiceImpl
 * @Date：2024/7/30 13:33
 */
@Service
public class CycleServiceImpl implements CycleService {

    @Autowired
    private CycleMapper cycleMapper;

    @Autowired
    private StringRedisTemplate redisTemplate;

    @Override
    public Result findCycle() {
        if (redisTemplate.hasKey("cycle")){
            return Result.success(redisTemplate.opsForValue().get("cycle"));
        }
        List<Cycle> cycle = cycleMapper.findCycle();
        redisTemplate.opsForValue().set("cycle", JSON.toJSONString(cycle));
        return Result.success(cycle);
    }
}
