package com.bwie.kafka.comsumer;

import lombok.extern.log4j.Log4j2;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.kafka.support.Acknowledgment;
import org.springframework.stereotype.Component;

/**
 * @Author：张腾
 * @Package：com.bwie.kafka.comsumer
 * @Project：Zg6_week02
 * @name：KafkaComsumer
 * @Date：2024/7/30 15:07
 */
@Component
@Log4j2
public class KafkaConsumer {


    @KafkaListener(topics = "TurnDown",
            containerFactory = "kafkaListenerContainerFactory",
            errorHandler = "myKafkaListenerErrorHandler")
    public void receiveMsg(ConsumerRecord<Object,Object> record, Acknowledgment acknowledgment){
        Object value = record.value();
        log.info("您的订单:"+value+"申请被驳回");
        acknowledgment.acknowledge();
    }
}
