package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：张腾
 * @Package：com.bwie.user.controller
 * @Project：Zg6_week02
 * @name：UserController
 * @Date：2024/7/30 9:41
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService userService;

    @PostMapping("/selectByName/{userName}")
    public Result<User> selectByName(@PathVariable String userName){
        User user = userService.selectByName(userName);
        return Result.success(user);
    }

    @PostMapping("/findById/{userId}")
    public User findById(@PathVariable Integer userId){
        return userService.findById(userId);
    }

}
